{% extends 'base.html.twig' %}

{% block menu %}
	<li><a href="{{ path('car_edit', {'id': car.id}) }}">Edytuj Samochód</a></li>
	<li><a href="{{ path('add_repair', {'id': car.id}) }}">Dodaj Naprawę</a></li>
{% endblock %}
{% block body %}
	<div class="row">
		<div class="col-md-6">
			<div class="form-group">
				<label>
					Name:
				</label>
				<p>
					{{ car.name }}
				</p>
			</div>
			<div class="form-group" style="padding-top: 15px;">
				<label>
					Rejestracja:
				</label>
				<p>
					{{ car.registration }}
				</p>
			</div>
			<div class="form-group" style="padding-top: 15px;">
				<label>
					VIN:
				</label>
				<p>
					{{ car.vin }}
				</p>
			</div>
			<div class="form-group" style="padding-top: 15px;">
				<label>
					Telefon:
				</label>
				<p>
					{{ car.phone }}
				</p>
			</div>
			<div class="form-group" style="padding-top: 15px;">
				<label>
					Opis:
				</label>
				<p>
					{{ car.description }}
				</p>
			</div>
		</div>
		<div class="col-md-6">
			<h2>Naprawy:</h2>
			<table class="table table-striped">
				<th>#</th>
				<th>Data</th>
				<th>Stan licznika [km]</th>
				<th>Edytuj</th>
				{% for key,repair in repairs %}
					<tr>
						<td>{{ key +1 }}</td>
						<td><a href="{{ path('show_repairs', {'id': repair.id}) }}">{{ repair.createdat|date('Y-m-d') }}</a></td>
						<td>{{ repair.mileage }}</td>
						<td><a href="{{ path('edit_repair', {'id': repair.id}) }}">Edycja</a></td>
					</tr>
				{% endfor %}
			</table>
		</div>
		<div class="col-md-6 padding-top-10">
			<label>
				SUMA:
			</label>
			{{ suma }} zł
		</div>
		<div class="col-lg-6 padding-top-10">
			<h2>Wyszukaj naprawę po częściach</h2>
			<form role="search" action="{{ path('search_in_parts', {'id': car.id}) }}">
				<div class="form-group">
					<input type="text" class="form-control" placeholder="Szukaj po częściach" name="searchKey" value="{% if search_parts_value is defined %}{{ search_parts_value }}{% endif %}">
				</div>
				<button type="submit" class="btn btn-default">Szukaj</button>
			</form>
			<br>
			{% if resoults is defined %}
				<table class="table table-striped">
					<th>#</th>
					<th>Data</th>
					<th>Nazwa</th>
					<th>Cena [zł]</th>

					{% set key = 0 %}
					{% for repair in resoults %}
						<tr>
							<td>{{ key + 1 }}</td>
							{% set key = key + 1 %}
							<td><a href="{{ path('show_repairs', {'id': repair.Repair.id}) }}">{{ repair.Repair.createdat|date('Y-m-d') }}</a></td>
							<td>{{ repair.name }}</td>
							<td>{{ repair.price }}</td>
						</tr>
					{% endfor %}
				</table>
			{% endif %}
		</div>
	</div>

{% endblock %}